<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Перевод средств';
aut();
head();
who_add(0,'enter');



switch($mod){
default:
echo '<b>[Банкир]</b>('.date("H:i", $time).')&gt;Здравствуйте,<b>'.$user['user'].'</b>! Что желаете перевести?<br />';

echo '<img src="'.H.'img/posts.ico" alt="" /> <a href="perevod?mod=posts">Посты</a><br/>';
echo '<img src="'.H.'img/rur.png" alt="" /> <a href="perevod?mod=rur">Деньги</a><br/>';
//echo '&#187; <a href="perevod?mod=votes">Голоса</a><br/>';

echo '<br /><img src="'.H.'img/rur1.ico" alt="" /> <a href="perevod?mod=histiri">Истории операций</a><br/>';
break;


case posts:
if (empty($act)){

echo '<b>[Банкир]</b>('.date("H:i", $time).')&gt;<b>'.$user['user'].'</b>, Вы выбрали перевод Постов. Заполните формы ниже...<br />';
echo '<dt></dt>';
echo 'Обращаем ваше внимание, что комиссия системы составляет <b>'.$set['kom_p_posts'].'%</b> от суммы перевода. Минимальная сумма перевода: <b>'.$set['min_p_posts'].'</b> постов, но при условии что у вас на счету останется не менее <b>'.$set['min_p_posts'].'</b> постов. Максимальная сумма перевода: <b>'.$set['max_p_posts'].'</b> постов.';
echo '<dt></dt>';
if ($ver=='wml'){
echo 'Кому (Ник/ID):<br /><input name="to'.$ref.'" maxlength="15" value="'.$to.'" title="Кому"/><br/>';
echo 'Кол-во постов (у вас: '.$user['posts'].'):<br /><input name="kol'.$ref.'" maxlength="7" title="Кол-во"/><br/>';
echo 'Комментарий:<br /><input name="kom'.$ref.'" title="Комментарий"/><br/>';
$chislo=rand(1000,9999);
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
$db->sql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
echo '&#160;<b>'.$chislo.'</b><br/>Проверочный код:<br/>
<input type="text" name="code'.$ref.'" size="4" maxlength="4" title="code"/>';

echo '<br /><anchor title="go">Начать операцию<go href="perevod?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="to" value="$to'.$ref.'"/>
<postfield name="kol" value="$kol'.$ref.'"/>
<postfield name="code" value="$code'.$ref.'"/>
<postfield name="kom" value="$kom'.$ref.'"/>
</go></anchor><br /><br />';
}else{
echo '<form action="perevod?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo "Кому (Ник/ID):<br /><input name='to' maxlength='15' value='$to' title='Кому'/><br/>\n";
echo 'Кол-во постов (у вас: '.$user['posts'].'):<br /><input name="kol" maxlength="7" title="Кол-во"/><br/>';
echo 'Комментарий:<br /><input name="kom" title="Комментарий"/><br/>';
$chislo=rand(1000,9999);
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
$db->sql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
echo '&#160;<b>'.$chislo.'</b><br/>Проверочный код:<br/>
<input type="text" name="code" size="4" maxlength="4" title="code"/><br/><br />';
echo '<input type="submit" class="ibutton" value="Начать операцию"/></form><br />';
}


}else{
$to = check($_POST['to']);
$kom = check($_POST['kom']);
if ($user['translit']==1)$kom = translit($kom);
$kol = check(abs(intval($_POST['kol'])));
$kol = substr($kol,0,7);

$pr = round(($kol*$set['kom_p_posts'])/100);
$kol1 = $kol- $pr;
if (strlen2($kom)<3)$err = 'Комментарий должен быть больше 3 символов!';
if (!user($to))$err = 'Такого пользователя не существует!';
if (user_inf($to)==$user['id'])$err = 'Себе переводить глупо...';

$online = $db->sql_fetchrow($db->sql_query("SELECT * FROM `chislo` WHERE `ip` = '".$ip."'"));
if($online['chislo'] != intval($_POST['code']))$err = 'Проверочный код введен неверно!';
if($kol=='' || $kol<=0)$err = 'Неправильная сумма!';
$perevod = $db->sql_fetchrow($db->sql_query("SELECT * FROM `perevod` WHERE `user_id` = '".$user['id']."' and `to_id` = '".user_inf($to)."' and `tip` = 'posts'"));
if (mysql_affected_rows()!=0){
if ($perevod['time']<($time+24*60*60))$err = 'Последний перевод от вас этому пользователю осуществлен менее 24 часов назад! Следующий перевод возможен не ранее: <b>'.times($perevod['time']+24*60*60).'</b>!';
}

if ($kol<$set['min_p_posts'])$err = 'Минимальная сумма перевода '.$set['min_p_posts'].' постов!';

if ($user['posts']<$kol)$err = 'У вас нет '.$kol.' постов!';
if (($user['posts']-$kol)<$set['min_p_posts'])$err = 'После перевода у вас останется меньше '.$set['min_p_posts'].' постов, а это запрещено!';

if ($kol>$set['max_p_posts'])$err = 'Максимальная сумма перевода '.$set['max_p_posts'].' постов!';



if (empty($err)){
$postsm = $user['posts']-$kol;
$db->sql_query('UPDATE `users` SET `posts` = "'.$postsm.'" WHERE `id` = "'.$user['id'].'"');

$postsp = user_inf($to,'posts')+$kol1;
$db->sql_query('UPDATE `users` SET `posts` = "'.$postsp.'" WHERE `id` = "'.user_inf($to).'"');

$postsa = user_inf(1,'posts')+$pr;
$db->sql_query('UPDATE `users` SET `posts` = "'.$postsa.'" WHERE `id` = "1"');

$db->sql_query("INSERT INTO `perevod` (tip,user_id,to_id,kol,time,kom) values('posts','$user[id]','".user_inf($to)."','$kol','$time','$kom')");
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
echo 'Операция прошла успешно! Пользователю <b>'.user_inf($to,'user').'</b> зачислено <b>'.$kol1.'</b> постов, с вашего счета снято <b>'.$kol.'</b> постов, комиссия составила <b>'.$pr.'</b> постов.<br />Следующий перевод этому пользователю возможен через <b>24</b> часа!<br />';
}else echo $err;
}

break;



case rur:

if (empty($act)){

echo '<b>[Банкир]</b>('.date("H:i", $time).')&gt;<b>'.$user['user'].'</b>, Вы выбрали перевод Денег. Заполните формы ниже...<br />';
echo '<dt></dt>';
echo 'Обращаем ваше внимание, что комиссия системы составляет <b>'.$set['kom_p_rur'].'%</b> от суммы перевода. Минимальная сумма перевода: <b>'.$set['min_p_rur'].'</b> рублей, но при условии что у вас на счету останется не менее <b>'.$set['min_p_rur'].'</b> рублей. Максимальная сумма перевода: <b>'.$set['max_p_rur'].'</b> рублей.';
echo '<dt></dt>';
if ($ver=='wml'){
echo 'Кому (Ник/ID):<br /><input name="to'.$ref.'" maxlength="15" value="'.$to.'" title="Кому"/><br/>';
echo 'Кол-во рублей (у вас: '.$user['rur'].'):<br /><input name="kol'.$ref.'" maxlength="7" title="Кол-во"/><br/>';
echo 'Комментарий:<br /><input name="kom'.$ref.'" title="Комментарий"/><br/>';
$chislo=rand(1000,9999);
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
$db->sql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
echo '&#160;<b>'.$chislo.'</b><br/>Проверочный код:<br/>
<input type="text" name="code'.$ref.'" size="4" maxlength="4" title="code"/>';

echo '<br /><anchor title="go">Начать операцию<go href="perevod?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="to" value="$to'.$ref.'"/>
<postfield name="kol" value="$kol'.$ref.'"/>
<postfield name="code" value="$code'.$ref.'"/>
<postfield name="kom" value="$kom'.$ref.'"/>
</go></anchor><br /><br />';
}else{
echo '<form action="perevod?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo "Кому (Ник/ID):<br /><input name='to' maxlength='15' value='$to' title='komu'/><br/>\n";
echo 'Кол-во рублей (у вас: '.$user['rur'].'):<br /><input name="kol" maxlength="7" title="komu"/><br/>';
echo 'Комментарий:<br /><input name="kom" title="Комментарий"/><br/>';
$chislo=rand(1000,9999);
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
$db->sql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
echo '&#160;<b>'.$chislo.'</b><br/>Проверочный код:<br/>
<input type="text" name="code" size="4" maxlength="4" title="code"/><br/><br />';
echo '<input type="submit" class="ibutton" value="Начать операцию"/></form><br />';
}


}else{
$to = check($_POST['to']);
$kom = check($_POST['kom']);
if ($user['translit']==1)$kom = translit($kom);
$kol = check(abs(intval($_POST['kol'])));
$kol = substr($kol,0,7);

$pr = round(($kol*$set['kom_p_rur'])/100);
$kol1 = $kol- $pr;
if (strlen2($kom)<3)$err = 'Комментарий должен быть больше 3 символов!';
if (!user($to))$err = 'Такого пользователя не существует!';
if (user_inf($to)==$user['id'])$err = 'Себе переводить глупо...';

$online = $db->sql_fetchrow($db->sql_query("SELECT * FROM `chislo` WHERE `ip` = '".$ip."'"));
if($online['chislo'] != intval($_POST['code']))$err = 'Проверочный код введен неверно!';

$perevod = $db->sql_fetchrow($db->sql_query("SELECT * FROM `perevod` WHERE `user_id` = '".$user['id']."' and to_id = '".user_inf($to)."' and `tip` = 'rur'"));
if (mysql_affected_rows()!=0){
if ($perevod['time']<($time+24*60*60))$err = 'Последний перевод от вас этому пользователю осуществлен менее 24 часов назад! Следующий перевод возможен не ранее: <b>'.times($perevod['time']+24*60*60).'</b>!';
}

if ($kol<$set['min_p_rur'])$err = 'Минимальная сумма перевода '.$set['min_p_rur'].' рублей!';
//if ($user['rur']<$kol)$err = 'У вас нет '.$kol.' постов!';
if (($user['rur']-$kol)<$set['min_p_rur'])$err = 'После перевода у вас останется меньше '.$set['min_p_rur'].' рублей, а это запрещено!';

if ($kol>$set['max_p_rur'])$err = 'Максимальная сумма перевода '.$set['max_p_rur'].' рублей!';



if (empty($err)){
$rurm = $user['rur']-$kol;
$db->sql_query('UPDATE `users` SET `rur` = "'.$rurm.'" WHERE `id` = "'.$user['id'].'"');

$rurp = user_inf($to,'rur')+$kol1;
$db->sql_query('UPDATE `users` SET `rur` = "'.$rurp.'" WHERE `id` = "'.user_inf($to).'"');

$rura = user_inf(1,'rur')+$pr;
$db->sql_query('UPDATE `users` SET `rur` = "'.$rura.'" WHERE `id` = "1"');

$db->sql_query("INSERT INTO `perevod` (tip,user_id,to_id,kol,time,kom) values('rur','$user[id]','".user_inf($to)."','$kol','$time','$kom')");
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
echo 'Операция прошла успешно! Пользователю <b>'.user_inf($to,'user').'</b> зачислено <b>'.$kol1.'</b> рублей, с вашего счета снято <b>'.$kol.'</b> рублей, комиссия составила <b>'.$pr.'</b> рублей.<br />Следующий перевод этому пользователю возможен через <b>24</b> часа!<br />';
}else echo $err;
}

break;


case histiri:

if (empty($act)){

echo '<b>[Банкир]</b>('.date("H:i", $time).')&gt;<b>'.$user['user'].'</b>, Здесь вы можете посмотреть истории ваших переводов.<br />';
echo '<dt></dt>';

echo '<img src="'.H.'img/posts.ico" alt="" /> <a href="perevod?mod='.$mod.'&amp;act=posts">Посты</a><br/>';
echo '<img src="'.H.'img/rur.png" alt="" /> <a href="perevod?mod='.$mod.'&amp;act=rur">Деньги</a><br/>';

}else if ($act == posts){
echo '<b>[Банкир]</b>('.date("H:i", $time).')&gt;<b>'.$user['user'].'</b>, История операций с постами.<br />';
echo '<dt></dt>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from perevod where user_id = '".$user['id']."' and tip = 'posts' or to_id = '".$user['id']."'  and tip = 'posts'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from perevod where user_id = '".$user['id']."' and tip = 'posts' or to_id = '".$user['id']."'  and tip = 'posts' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Операций не нйдено...<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
if ($user['id']==$a['user_id']){echo links.'<img src="'.H.'img/min.png" alt="" /> ';
$otp='Получатель';
}else if ($user['id']==$a['to_id']){ echo links.'<img src="'.H.'img/pl.png" alt="" /> ';
$otp='Отправитель'; }
echo ''.times($a['time']).''.div;
echo 'Сумма: <b>'.$a['kol'].'</b>/ Комиссия: <b>'.round(($a['kol']*$set['kom_p_posts'])/100).'</b>/ '.$otp.': <b>'.user($a['to_id']).'</b><br />Комментарий: '.$a['kom'].'';
echo '<dl></dl>';
}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('perevod?mod='.$mod.'&amp;act=posts&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else if ($act == rur){
echo '<b>[Банкир]</b>('.date("H:i", $time).')&gt;<b>'.$user['user'].'</b>, История операций с деньгами.<br />';
echo '<dt></dt>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from perevod where user_id = '".$user['id']."' and tip = 'rur' or to_id = '".$user['id']."'  and tip = 'rur'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from perevod where user_id = '".$user['id']."' and tip = 'rur' or to_id = '".$user['id']."'  and tip = 'rur' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Операций не нйдено...<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
if ($user['id']==$a['user_id']){echo links.'<img src="'.H.'img/min.png" alt="" /> ';
$otp='Получатель';
}else if ($user['id']==$a['to_id']){ echo links.'<img src="'.H.'img/pl.png" alt="" /> ';
$otp='Отправитель'; }
echo ''.times($a['time']).''.div;
echo 'Сумма: <b>'.$a['kol'].'</b>/ Комиссия: <b>'.round(($a['kol']*$set['kom_p_rur'])/100).'</b>/ '.$otp.': <b>'.user($a['to_id']).'</b><br />Комментарий: '.$a['kom'].'';
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('perevod?mod='.$mod.'&amp;act=rur&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}
break;
}
echo '<br />';
if($mod)echo gb.'<a href="'.H.'my/perevod">Перевод средств</a>'.div;
echo gb.'<a href="'.H.'bank">Банк чата</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>